GetBidInfo
curl --request GET \
--url https://api.example.com/v1/bidder/get_bid_infoimport requests
url = "https://api.example.com/v1/bidder/get_bid_info"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/bidder/get_bid_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blockBidInfo": [
{
"blockNumber": "<string>",
"bids": [
{
"txnHashes": [
"<string>"
],
"revertableTxnHashes": [
"<string>"
],
"blockNumber": "<string>",
"bidAmount": "<string>",
"decayStartTimestamp": "<string>",
"decayEndTimestamp": "<string>",
"bidDigest": "<string>",
"slashAmount": "<string>",
"commitments": [
{
"providerAddress": "<string>",
"dispatchTimestamp": "<string>",
"status": "<string>",
"details": "<string>",
"payment": "<string>",
"refund": "<string>"
}
]
}
]
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}API Reference
GetBidInfo
GetBidInfo is called by the bidder to get the bid information. If block number is not specified, all known block numbers are returned in the ascending order.
GET
/
v1
/
bidder
/
get_bid_info
GetBidInfo
Query Parameters
Optional block number for querying bid info. If not specified, all known block numbers are returned in ascending order.
Page number for pagination.
Number of items per page for pagination. Default is 50
Response
A successful response.
List of block bid info containing bids and their commitments.
Show child attributes
Show child attributes
⌘I